#!/bin/sh
  
ln -f /srv/vserver/home/base/vm/game.qvm.DnC /srv/vserver/home/base/vm/game.qvm
ln -f /srv/vserver/tremded.x86.DnC /srv/vserver/tremded.x86


BINARY="/srv/vserver/tremded.x86"
BASE_PATH="/srv/vserver"
NET_IP="192.168.56.50"
HOME_PATH="/srv/vserver/home"
CONFIG_FILE="server.cfg"

# Tremulous binaries don't understand "regular" command line parameters. Let's
# catch them here, to avoid accidently launching the binary.

 screen -dmS tremulous  ${BINARY} +set vm_game 0 +set net_ip ${NET_IP} +set dedicated 2 + set fs_homepath ${HOME_PATH} + set fs_basepath ${BASE_PATH} + exec ${CONFIG_FILE} 
exit $?
